package jp.sourceforge.orangesignal.ta.result;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class HistogramTest {

	@Test
	public void values() {
		final Histogram[] values = Histogram.values();
		for (final Histogram value : values) {
			switch (value) {
			case INDICATOR: case SIGNAL: case HISTOGRAM:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
